Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705278 - =sys-cluster/torque-4.2.10-r1 uses lexicographical compare
Summary: =sys-cluster/torque-4.2.10-r1 uses lexicographical compare
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 705240
  Show dependency tree
 
Reported: 2020-01-12 11:52 UTC by Sergei Trofimovich
Modified: 2020-05-22 18:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2020-01-12 11:52:33 UTC
sys-cluster/torque uses lexicographical string version compare:

sys-cluster/torque/torque-4.1.7-r1.ebuild:	if [[ -z "${REPLACING_VERSIONS}" ]] || [[ ${REPLACING_VERSIONS} < 4 ]]; then
sys-cluster/torque/torque-4.2.10-r1.ebuild:	if [[ ${showmessage} > 0 ]]; then

The intention is likely to use 'ver_cmp'/'-gt'. See bug #705240 for hints to fix it.
Comment 1 Larry the Git Cow gentoo-dev 2020-04-19 14:23:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca6424f438c1e888a7cf643b65927b03864e14c2

commit ca6424f438c1e888a7cf643b65927b03864e14c2
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-04-19 14:23:19 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-04-19 14:23:26 +0000

    sys-cluster/torque: drop lexicographical version compare
    
    torque < 4 is not in tree for a while. Let's just drop dead code.
    
    Closes: https://bugs.gentoo.org/705278
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-cluster/torque/torque-4.1.7-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 2 Larry the Git Cow gentoo-dev 2020-05-22 18:50:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=133b4c5bd87f478f8445cdc73d079617dcb0a66b

commit 133b4c5bd87f478f8445cdc73d079617dcb0a66b
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-22 18:50:31 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-22 18:50:37 +0000

    sys-cluster/torque: use integer comparison, bug #705278
    
    Use integer comparison instead of lexicographical one.
    
    Bug: https://bugs.gentoo.org/705278
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-cluster/torque/torque-4.2.10-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)